# This spec file was generated using Kpp
# If you find any problems with this spec file please report
# the error to ian geiser <geiseri@msoe.edu>
Summary:	Red Flag Help
Name:		rfhelp
Version:	1.0
Release:	6%{?dist}
Group:		Applications/System
Source:		rfhelp-1.0.tar.gz
BuildRoot:	/var/tmp/rfhelp-build
License:	GPL

%description
Red Flag Help Viewer


%prep
%setup
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure \
	--bindir=/usr/bin \
	--libdir=/usr/lib/rfmin/lib \
	--includedir=/usr/lib/rfmin/include/rfhelp \
	--datadir=/usr/share/rfhelp \
	--disable-debug \
	$LOCALFLAGS
%build
# Setup for parallel builds
numprocs=`egrep -c ^cpu[0-9]+ /proc/stat || :`
if [ "$numprocs" = "0" ]; then
  numprocs=1
fi

make -j$numprocs

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

mkdir -p  $RPM_BUILD_ROOT/usr/share/rfhelp
cp -af    rfhelp/rfhelp_zh_TW.qm  $RPM_BUILD_ROOT/usr/share/rfhelp
cp -af    rfhelp/rfhelp_ko.qm  $RPM_BUILD_ROOT/usr/share/rfhelp

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.rfhelp
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.rfhelp
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.rfhelp

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/rfhelp
rm -rf ../file.list.rfhelp


%files -f ../file.list.rfhelp
/usr/share/rfhelp/rfhelp_zh_TW.qm
/usr/share/rfhelp/rfhelp_ko.qm

%changelog
* Fri Dec  12 2008 zhaomin <zhaomin@redflag-linux.com> 1.0.6
- fix bug 5600

* Fri Dec  7 2008 zhaomin <zhaomin@redflag-linux.com> 1.0.3
- fix bug 5402,5401,5360

* Fri May 12 2006 Hua Jie <jiehua@redflag-linux.com> 1.0-4AX
- change License to GPL

* Thu Sep 29 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-3
- modify some Korean strings
